        Broadcom NetXtreme Gigabit Ethernet Driver
	           For Netware 4.x, 5.x, 6.x
        Copyright (c) 2000-2008 Broadcom Corporation
                 All rights reserved.


This file contains the description of the NetWare(R) and Broadcom 
parameters/keywords accepted by the Broadcom NetXtreme(R) Gigabit and Fast 
Ethernet adapter NetWare(R) Server (.LAN) driver.

TxDescriptors=
This is to initialize Descriptor resources on the adapter for transmits.
Min = 32
Max = 512
Default = 200

RxBuffers=
This is to pre-allocate receive ECBs & Receive adapter resources. This setting
may be affected by the Netware server maximum/minimum packet receive buffer settings.
Note: RxBuffers must be set to 32 when using DOS Client32.
Min = 32
Max = 512
Default = 200

Speed=
This keyword is to force the line speed of the adapter using a cat-5 cable.
When this keyword is used, the switch to which the adapter cable is connected 
must also be forced to the same speed.  
The best way to ensure good connectivity is to not set the speed keyword and
allow for automatic link setup (auto-negotiation).
Choices are :
0=Auto, 10=10Mbs, 100=100Mbs.
Default is Auto. Please note that the 1000Mbs is autonegotiate only and
cannot be forced except on FIBER adapters.

Duplex=
To force the cable to half or full duplex this keyword must be used with 
the Speed keyword.
Choices are :
1= half duplex, 0 or 2 = full duplex.
Default is full duplex.

Link=
This keyword is used to allow for autonegotiation using the Speed keyword as the 
advertised speed. When set to FORCE, the Speed keyword is forced. When the Speed 
keyword is AUTO, normal autonegotiation takes place.
It is best to allow for autonegotiation between the card and switch, by not setting 
this keyword or the Speed keyword. 
Choices are: 
AUTO, FORCE
Default is FORCE.  

RxTicks=
This is to enable the use of a receive "tick" interrupt within a 
specific time period.
Min = 0, disabled
Max = 5000000, 5 seconds
Units are in micro seconds
Default is 300

TxTicks=
This is to enable the use of a transmit "tick" threshold interrupt within a 
specific time period.
Min = 0, disabled
Max = 5000000, 5 seconds
Units are in micro seconds
Default is 200


TxPacketsPer=
This is to enable the use of allowing an interrupt to occur after a specific 
amount of packets are transmitted.
Min = 0, disabled
Max = 100
Default is 20

RxPacketsPer=
This is to enable the use of allowing an interrupt to occur after a specific 
amount of packets are received.
Min = 0, disabled
Max = 100
Default is 75


CheckSum=
This is to enable or disable the transmit & receive checksum off loading feature.
The checksum off loading support is only for TCP/IP packets, for that reason it is 
defaulted to OFF.
Choices are:
OFF, ON, TX, RX
Default is OFF.

TxFlow=
This keyword allows enabling/disabling of TxFlow control.
Choices are:
ON, OFF
Default is OFF.

RxFlow=
This keyword allows enabling/disabling of RxFlow control.
Choices are:
ON, OFF
Default value is OFF.

PDriver=
Allows for the driver to operate in persistent driver mode.
Only use if adapter is placed in a Hot Plug PCI slot and only if
required to swap with an exact same board.
Choices are:
OFF, ON
Default value is OFF.

NODE=
This is a Novell Netware keyword.
This keyword will allow an input ethernet node address to replace the adapter 
factory programmed ethernet node address until a subsequent reboot.
Choices are:
NODE=nnnnnnnnnnnn

FRAME=
This is a Novell Netware keyword.
String specifying the frame type.
Choices are:
ETHERNET_II
ETHERNET_802.3
ETHERNET_802.2
ETHERNET_SNAP
Default is usually ETHERNET_802.2

SLOT=
This is a Novell Netware keyword.
System-wide unique Hardware Instance Number (HIN) that corresponds to the 
physical PCI bus,device and function of a PCI based system.
For more information read the following link and contact Novell.
http://developer.novell.com/research/sections/netmanage/tips/2000/october/spv.htm
SLOT=n

Jumbo=
Keyword to enable Jumbo frame support. When enabled, jumbo packets of up to 
9000 bytes are supported.
Choices are:
Jumbo=1536-9000
Default is jumbo packets not supported.

P3=
This keyword is used when running perform3.exe tests and may increase performance on 
networks running with many ipx clients. 
Set P3=1 When running the perform3 test back to back to a single client. 
Set P3=2 when running the perform3 test with many clients.
Default: P3=0.

Spuriousfix=
When this keyword is set to 1(spurious fix is on), the spurious interrupts count that 
is sometimes displayed on the Netware console monitor, may be reduced. By setting this 
keyword to 0 (spurious fix is OFF), performance of the driver may be enhanced. 
The Default is spurious fix = 1 (spurious fix is on).
Choices are:
Spuriousfix=0 
Spuriousfix=1 (default).

Poll=
To disable interrupt driven mode in the driver set Poll=1 and the driver will
not use interrupts, but will be polled by the Netware OS. This is a common
feature supported in NW. The poll mode may increase driver performance in 
some environments.
Choices are:
Poll=1 (ON)
Poll=0 (OFF) (default).


Model=
This keyword is to allow the addition of a subsystem ID of a specific NIC so that  
the driver loads only on the first NIC found with a matching subsystem ID.
e.g. MODEl= 0x14e4
Default = 0

MagicP=
When the MagicP=1 the driver will enable the adapter to wake up the system when
a magic packet is received after the system is shutdown. MagicP=0 is the default
setting with the adapter having no wake up ability.
Choices are:
MagicP=0 (default)
MagicP=1 

Fiber=
The driver has support for the 1000FD fiber adapter. The fiber autonegotiates link
with a fiber switch even though it only supports 1000FD. In some cases the user 
may want to force the adapter to 1000FD. 
Choices are:
Fiber=AUTO (default)
Fiber=FORCE


 


 